# Generated by Django 4.1.3 on 2022-11-17 13:28

import datetime
from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('discussion_app', '0003_discussion_theme'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='discussion',
            name='date',
        ),
        migrations.AddField(
            model_name='discussion',
            name='created_at',
            field=models.DateTimeField(auto_now_add=True, default=django.utils.timezone.now, verbose_name='Created at'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='discussion',
            name='dt_start',
            field=models.DateTimeField(default=datetime.datetime(2022, 11, 17, 13, 28, 23, 753791, tzinfo=datetime.timezone.utc), verbose_name='DateTime start'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='discussion',
            name='theme',
            field=models.CharField(choices=[('Other', 'Other'), ('Cinema', 'Cinema'), ('Science', 'Science'), ('Art', 'Art'), ('Music', 'Music'), ('Theatre', 'Theatre'), ('Food', 'Food')], default='Other', max_length=64, verbose_name='Theme'),
        ),
        migrations.AlterField(
            model_name='discussion',
            name='topic',
            field=models.CharField(max_length=256, verbose_name='Topic of discussion'),
        ),
    ]
